w=1;
csi=0.1:0.2:0.9;

figure,hold on

title('2^{nd} Order Systems : Bode Magnitude Diagram','FontSize',12,'FontWeight','Bold')
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold');
xlabel('Frequency ({\omega}/{\omega}_{0})','FontSize',12,'FontWeight','Bold');


for i=1:5
    sys=tf(w^2,[1 2*csi(i)*w w^2]);
    wvett=linspace(0.1,10,1000);
    [mag,phase]=bode(sys,wvett);
    semilogx(log10(wvett),20*log10(mag(:)),'k')
    h=gcf;
end
figure(h);
hold on
axis([-1 1 -40 20])
set(gca,'Xtick',[-1 0 1])
set(gca,'XTickLabel',[])
text(-1.01,-41.25,'10^{-1}');
text(-0.02,-41.25,'10^{0}');
text(0.97,-41.25,'10^{1}');
grid on
text(-0.98,-32,'{\zeta} = 0.1, 0.3, 0.5, 0.7, 0.9','FontSize',12,'FontWeight','Bold')
text(-0.15,16,'{\zeta} = 0.1','FontSize',12,'FontWeight','Bold')
text(-0.25,-5,'{\zeta} = 0.9','FontSize',12,'FontWeight','Bold')
